Page MenuHomePhabricator

[Config Change] Make all DiscussionTools available by default at mediawiki.org
Closed, ResolvedPublic

Description

This task involves the work with making sure all features contained within the “Discussion tools” beta feature available by default to everyone (logged in and out) using wiki text talk pages at mediawiki.org.

Deployment Timing

Ideally, this deployment happens the week of 27 June

Requirements

Meta

  • Namespaces: Main namespace talk pages and User talk pages (per T304750)
  • Platform(s): Desktop

Behavior

  1. Upon landing on a wikitext talk page at mediawiki.org (e.g. https://www.mediawiki.org/wiki/Talk:Talk_pages_project/Usability), everyone (logged in and out) should see all features previously contained within the “Discussion tools” beta feature available by default
    • Where “all features previously contained within the ‘Discussion tools’ beta features” includes: New Topic Tool, Reply Tool, Topic Subscriptions, and Visual enhancements (for now, this will just include Topic Containers).
  2. When visiting Special:Preferences#mw-prefsection-betafeatures “Discussion tools” should no longer appear considering all of the features it previously contained are now available by default and configurable within Special:Preferences#mw-prefsection-editing.

Background

We are making all of these features available by default at mediawiki.org for two primary reasons:

  1. It’s important that we – the Editing Team and volunteers – have the opportunity to use and evaluate the entire suite of DiscussionTools features together, in “real” discussions, so that we can notice and smooth rough edges that may exist between features
  2. Mediawiki.org contains a relatively small number of wikitext talk pages. With this in mind, we assume the harm that could result from any bugs within the software when some of it is in a “beta” state to be relatively low

Done

  • All Requirements are implemented

Related Objects

Event Timeline

1234qwer1234qwer4 renamed this task from [Config Change] Make all DiscussionTools available by default at mediawik.org to [Config Change] Make all DiscussionTools available by default at mediawiki.org.Jun 19 2022, 2:41 PM
matmarex added a subscriber: matmarex.

I've accidentally made a duplicate of this task.

Copying discussion from there:

Is this "everything" or "only visual enhancements"? It is particularly important to me that everyone has the [subscribe] button as well – ideally, [subscribe] would be set to automatic subscriptions for everyone, but you said that was already deployed. Is "visual enhancements" all that's left? What about mobile?

See also T310960: [Config Change] Make all DiscussionTools available by default at mediawiki.org.

Is this "everything" or "only visual enhancements"?

This is both "everything" and "only visual enhancements", because everything else is already enabled.

It is particularly important to me that everyone has the [subscribe] button as well

Already done in T302256 (except logged-out users, but we can't change it, it works like the watchlist or notifications)

– ideally, [subscribe] would be set to automatic subscriptions for everyone, but you said that was already deployed.

Automatic subscriptions are available but turned off for existing users, and only turned on for new users. I blame Peter for this: T302256#7807915

Is "visual enhancements" all that's left?

Yep

What about mobile?

Hmm, right now nothing would be available on mobile, because we have a separate config for it that overrides it. We haven't discussed this explicitly, but it seems to me like we'd want the mobile stuff enabled on mediawiki.org as well. I will add another patch for this.

See also T310960: [Config Change] Make all DiscussionTools available by default at mediawiki.org.

This is actually exactly the same as T310960, I forgot about that task. I will merge them.

Change 809011 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[operations/mediawiki-config@master] Enable DiscussionTools visualenhancements at mediawikiwiki

https://gerrit.wikimedia.org/r/809011

Change 809223 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[operations/mediawiki-config@master] Enable DiscussionTools on mobile at mediawikiwiki

https://gerrit.wikimedia.org/r/809223

Change 809011 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable DiscussionTools visualenhancements at mediawikiwiki

https://gerrit.wikimedia.org/r/809011

Change 809223 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable DiscussionTools on mobile at mediawikiwiki

https://gerrit.wikimedia.org/r/809223

matmarex removed a project: Editing QA.
matmarex added a subscriber: EAkinloose.

@EAkinloose noticed that I forgot to actually remove the beta feature, i.e. this part:

  1. When visiting Special:Preferences#mw-prefsection-betafeatures “Discussion tools” should no longer appear considering all of the features it previously contained are now available by default and configurable within Special:Preferences#mw-prefsection-editing.

Change 813691 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[operations/mediawiki-config@master] Disable DiscussionTools beta feature at mediawikiwiki

https://gerrit.wikimedia.org/r/813691

Change 813691 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable DiscussionTools beta feature at mediawikiwiki

https://gerrit.wikimedia.org/r/813691

Mentioned in SAL (#wikimedia-operations) [2022-07-13T21:08:53Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:813691|Disable DiscussionTools beta feature at mediawikiwiki (T310960)]] (duration: 02m 47s)

Behaviour:

✅ LOGGED OUT USERS:

Screenshot 2022-07-21 at 00.02.58.png (1×1 px, 231 KB)

✅ LOGGED IN USERS: https://photos.app.goo.gl/cF3aK9gTAyjgifDm7

  1. When visiting Special:Preferences#mw-prefsection-betafeatures “Discussion tools” no longer appears
    Screenshot 2022-07-21 at 14.41.44.png (1×1 px, 265 KB)

Screenshot 2022-07-21 at 14.41.20.png (1×1 px, 307 KB)

General Experience: https://photos.app.goo.gl/cF3aK9gTAyjgifDm7. This works fine. I noticed:

  • 0:03 I can still click the reply link when the editor is open
  • 0:17 It is possible to have so many editors for replying at the same time

Unlike

Screenshot 2022-07-21 at 14.39.36.png (654×1 px, 100 KB)
, where the reply link is disabled when the editor is open such that you can only have one tool active at any point in time

  1. When visiting Special:Preferences#mw-prefsection-betafeatures “Discussion tools” no longer appears
    Screenshot 2022-07-21 at 14.41.44.png (1×1 px, 265 KB)

Screenshot 2022-07-21 at 14.41.20.png (1×1 px, 307 KB)

General Experience: https://photos.app.goo.gl/cF3aK9gTAyjgifDm7. This works fine. I noticed:

  • 0:03 I can still click the reply link when the editor is open
  • 0:17 It is possible to have so many editors for replying at the same time

Unlike

Screenshot 2022-07-21 at 14.39.36.png (654×1 px, 100 KB)
, where the reply link is disabled when the editor is open such that you can only have one tool active at any point in time

@EAkinloose: the issues you discovered above seem like valid issues to me. Tho, these are issues with Flow/Structured Discussions rather than with DiscussionTools.

Are you able to verify this ticket using a wikitext-based talk page, like: https://www.mediawiki.org/wiki/Talk:Talk_pages_project/Usability ?

  1. When visiting Special:Preferences#mw-prefsection-betafeatures “Discussion tools” no longer appears
    Screenshot 2022-07-21 at 14.41.44.png (1×1 px, 265 KB)

Screenshot 2022-07-21 at 14.41.20.png (1×1 px, 307 KB)

General Experience: https://photos.app.goo.gl/cF3aK9gTAyjgifDm7. This works fine. I noticed:

  • 0:03 I can still click the reply link when the editor is open
  • 0:17 It is possible to have so many editors for replying at the same time

Unlike

Screenshot 2022-07-21 at 14.39.36.png (654×1 px, 100 KB)
, where the reply link is disabled when the editor is open such that you can only have one tool active at any point in time

@EAkinloose: the issues you discovered above seem like valid issues to me. Tho, these are issues with Flow/Structured Discussions rather than with DiscussionTools.

Are you able to verify this ticket using a wikitext-based talk page, like: https://www.mediawiki.org/wiki/Talk:Talk_pages_project/Usability ?

It works fine as well.

✅ LOGGED OUT USER:

Screenshot 2022-07-25 at 23.09.16.png (1×1 px, 251 KB)

Requirements checkout as in my previous comment as well.

Thanks for pointing that out @ppelberg . The experience is as expected. See https://photos.app.goo.gl/5gjvCCrHAppKofsp7